package com.bs.ct.domain;

import com.bs.common.annotation.Excel;
import com.bs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 图库目录对象 ct_gallery_cata
 *
 * @author bs
 * @date 2025-02-22
 */
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("ct_gallery_cata")
@Data
public class CtGalleryCata extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;

    /** 目录名称 */

    @Excel(name = "目录名称")
    @ApiModelProperty(value = "目录名称")
    private String cataName;

    /** 父级id */

    @Excel(name = "父级id")
    @ApiModelProperty(value = "父级id")
    private Long parentId;

    /** 类型 */

    @Excel(name = "类型")
    @ApiModelProperty(value = "类型")
    private String type;

    /** 备注 */

    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String remarks;


    @TableField(exist = false)
    private List<CtGalleryCata> children;

}
